# Authorization Linking

> **ALPHA**

#### Description
By default, Cronofy implicitly links calendar accounts that authorize using the same browser. The mechanism used is a persistent cookie.

This feature allows the calling application request that the calendar account authorized to be explicitly linked to a pre-existing Cronofy account. This enables combining authorizations across different devices.

The mechanism used is the generation of a temporary `link_token` which is passed to the authorization page to identify the account to be linked to.

This is an experimental feature and is enabled on a per application basis.

If you would like to get access, please contact <a href="mailto:support@cronofy.com">[support@cronofy.com](mailto:support@cronofy.com)</a> and specify the `Client ID` of your application.

#### Generating a Link Token
Using the `access_token` for the pre-existing account you wish to link, POST to the `/v1/link_tokens` endpoint.

The response will contain the `link_token`.

#### Example Request
```http
POST /v1/link_tokens HTTP/1.1
HOST: {data_center_url}
Content-Type: application/json; charset=utf-8
Authorization: Bearer {ACCESS_TOKEN}
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
    "link_token" : "{LINK_TOKEN}"
}
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
#### Requesting a Linked Authorization
The `link_token` is then passed as an additional query string parameter to the authorization request URL, eg:

```
https://app.cronofy.com/oauth/authorize
    ?response_type=code
    &client_id={CLIENT_ID}
    &redirect_uri={REDIRECT_URI}
    &scope={SCOPE}
    &state={STATE}
    &link_token={LINK_TOKEN}
```

See [Request Authorization](/developers/api/authorization/request-authorization/index.md)



---
[Read in HTML](/developers/api-alpha/explicit-linking/)